MINTPY-REFERENCE_POINT(1)

NAME
mintpy-reference_point - Reference to the same pixel in space.

DESCRIPTION
usage: reference_point.py [-h] [-t TEMPLATE_FILE] [-m MASKFILE] [-o OUTFILE]

[--write-data] [--reset] [--force] [-y REF_Y]
    [-x REF_X] [-l REF_LAT] [-L REF_LON] [-r REFERENCE_FILE] [--lookup LOOKUP_FILE] [-c COHERENCEFILE] [--min-coherence MINCOHERENCE] [--method {maxCoherence,manual,random}] file

Reference to the same pixel in space.

  positional arguments:

file
    file to be referenced.

  options:

-h, --help
    show this help message and exit

-t TEMPLATE_FILE, --template TEMPLATE_FILE
    template with reference info

-m MASKFILE, --mask MASKFILE
    mask file

-o OUTFILE, --outfile OUTFILE
    output file name (default: None). This option is disabled for ifgramStack file. None (default) for update data value directly without writing to a new file.

--write-data
    (option for ifgramStack file only) update data value, in addition to update metadata.

--reset
    remove reference pixel information from attributes in the file

--force
    Enforce the re-selection of reference point.

-c COHERENCEFILE, --coherence COHERENCEFILE
    use input coherence file to find the pixel with max coherence for reference pixel.

--min-coherence MINCOHERENCE
    minimum coherence of reference pixel for max-coherence method.

--method {maxCoherence,manual,random}
    methods to select reference pixel if not given in specific y/x or lat/lon: maxCoherence : select pixel with highest coherence value as reference point

enabled when there is --coherence option input
    manual : display stack of input file and manually select reference point random : random select pixel as reference point

  input coordinates:

-y REF_Y, --row REF_Y
    row/azimuth number of reference pixel

-x REF_X, --col REF_X
    column/range number of reference pixel

-l REF_LAT, --lat REF_LAT
    latitude of reference pixel

-L REF_LON, --lon REF_LON
    longitude of reference pixel

-r REFERENCE_FILE, --reference REFERENCE_FILE
    use reference/seed info of this file

--lookup LOOKUP_FILE, --lookup-file LOOKUP_FILE
    Lookup table file from SAR to DEM, i.e. geomap_4rlks.trans Needed for radar coord input file with --lat/lon seeding option.

  note: Reference value cannot be nan, thus, all selected reference point must be:

    a. non zero in mask, if mask is given b. non nan in data (stack)

    Priority:

    input reference_lat/lon input reference_y/x input selection_method existing REF_Y/X attributes (can be ignored by --force option) default selection methods:

    maxCoherence random

    The recommended reference pixel should meets the following criteria: 1) not in deforming areas 2) not in areas affected by strong atmospheric turbulence, such as ionospheric streaks 3) close but outside of deforming area of interest with similar elevation, to minimize

    the spatial correlation effect of atmosspheric delay, especially for shot-wavelength deformation (Chaussard et al., 2013; Morales-Rivera et al., 2016)

    4) in high coherent area to minimize the decorrelation effect

  template options:

    ## Reference all interferograms to one common point in space ## auto - randomly select a pixel with coherence > minCoherence ## however, manually specify using prior knowledge of the study area is highly recommended ## with the following guideline (section 4.3 in Yunjun et al., 2019): ## 1) located in a coherence area, to minimize the decorrelation effect. ## 2) not affected by strong atmospheric turbulence, i.e. ionospheric streaks ## 3) close to and with similar elevation as the AOI, to minimize the impact of spatially correlated atmospheric delay mintpy.reference.yx = auto #[257,151 / auto] mintpy.reference.lalo = auto #[31.8,130.8 / auto] mintpy.reference.maskFile = auto #[filename / no], auto for maskConnComp.h5 mintpy.reference.coherenceFile = auto #[filename], auto for avgSpatialCoh.h5 mintpy.reference.minCoherence = auto #[0.0-1.0], auto for 0.85, minimum coherence for auto method

  example:

    # for ifgramStack file, update metadata only # add --write-data to update data matrix value reference_point.py inputs/ifgramStack.h5 -t smallbaselineApp.cfg -c avgSpatialCoh.h5 reference_point.py inputs/ifgramStack.h5 --method manual reference_point.py inputs/ifgramStack.h5 --method random

    # for all the other files, update both metadata and data matrix value reference_point.py 091120_100407.unw -y 257 -x 151 -m Mask.h5 reference_point.py geo_velocity.h5 -l 34.45 -L -116.23 -m Mask.h5